Macro ONCE-ONLY

Syntax:

once-only (name*) form*

Arguments and Values:

name---a symbol.

form---a form.

Description:

Meant to be used in macro code, once-only guards against multiple evaluation of its arguments in macroexpansion code. Any concise description would be far too vague to grasp, but this thread on comp.lang.lisp does a decent job of explaining what once-only does.

Notes:

The description here is frustratingly non-descriptive, and I apologize for that. If you understand once-only and can give a better explanation, I would be very grateful—not to mention completely awed.

Manual Index